module("collider",package.seeall)
require("tilemap");


function preCollide(fixture1, fixture2, contact)
	if fixture1:getUserData() == "player" or fixture2:getUserData() == "player" then
		if fixture1:getUserData() == "underpass"  or fixture2:getUserData() == "underpass" then
			--contact:setEnabled(false);
		end
	end
end

function beginCollide(fixture1, fixture2, contact)

	if (fixture1:getUserData() == nil) or (fixture2:getUserData() == nil) then
		return;
	end
	
	if (type(fixture1:getUserData()) == "table") then
		fixture1:getUserData():onCollide(fixture2);
		if (type(fixture2:getUserData()) == "table") then
			fixture2:getUserData():onCollide(fixture1);
		end
		return;
	elseif (type(fixture2:getUserData()) == "table") then
		fixture2:getUserData():onCollide(fixture1);
		return;
	end
	
	if (fixture1:getUserData() == "player") or (fixture2:getUserData() == "player") then
		--Player colliding with exit sensors
		if (string.find(fixture1:getUserData(), "ExitToLevel") == 1)then
			tilemap.exitFlag = (fixture1:getUserData());
		elseif (string.find(fixture2:getUserData(), "ExitToLevel") == 1) then
			tilemap.exitFlag = (fixture2:getUserData());
		end
	end
	

	
end

function endCollide(fixture1, fixture2, contact)
	if (type(fixture1:getUserData()) == "table") then
		fixture1:getUserData():onLeaveCollide(fixture2);
		if (type(fixture2:getUserData()) == "table") then
			fixture2:getUserData():onLeaveCollide(fixture1);
		end
	elseif (type(fixture2:getUserData()) == "table") then
		fixture2:getUserData():onLeaveCollide(fixture1);
	end
	contact = nil
	collectgarbage()
end

function postCollide(fixture1, fixture2, contact)

end