module("input", package.seeall);
require("player");

local upKey = "up";
local downKey = "down";
local leftKey = "left";
local rightKey = "right";
local jumpKey = " ";
local exitKey = "escape";

local upState = false;
local downState = false;
local leftState = false;
local rightState = false;
local jumpState = false;
local exitState = false;

function isDown(key)
	if key == "up" then
		if love.keyboard.isDown(upKey) then
			return true;
		end
	elseif key == "down" then
		if love.keyboard.isDown(downKey) then
			return true;
		end
	elseif key == "left" then
		if love.keyboard.isDown(leftKey) then
			return true;
		end
	elseif key == "right" then
		if love.keyboard.isDown(rightKey) then
			return true;
		end
	elseif key == "jump" then
		if love.keyboard.isDown(jumpKey) then
			return true;
		end
	elseif key == "escape" then
		if love.keyboard.isDown(escape) then
			return true;
		end
	end
	return false;
end

function isPressed(command)
	if key == "up" then
		if love.keyboard.isDown(upKey) then
			return true;
		end
	elseif key == "down" then
		if love.keyboard.isDown(downKey) then
			return true;
		end
	elseif key == "left" then
		if love.keyboard.isDown(leftKey) then
			return true;
		end
	elseif key == "right" then
		if love.keyboard.isDown(rightKey) then
			return true;
		end
	elseif key == "jump" then
		if love.keyboard.isDown(jumpKey) then
			return true;
		end
	elseif key == "escape" then
		if love.keyboard.isDown(escape) then
			return true;
		end
	end
	return false;
end

function setPressed(command)
	if command == upKey then
		upState = not upState;
	elseif command == downKey then
		downState = not downState;
	elseif command == leftKey then
		leftState = not leftState;
	elseif command == rightKey then
		rightState = not rightState;
	elseif command == jumpKey then
		jumpState = not jumpState;
	elseif command == exitKey then
		exitState = not exitState;
	end
end