
module("level_exit");
require("tilemap");
--[[
LevelExit = {
	tileX = 0;
	tileY = 0;
	body = {};
	shape = {};
	fixture = {};
	levelExit = 1;
}

LevelExit_mt = { __index = LevelExit };

function LevelExit:new(tileX, tileY, levelExit)
	local newInstance = {};
	setmetatable(newInstance, LevelExit_mt);
	newInstance.tileX = tileX;
	newInstance.tileY = tileY;
	newInstance.body = love.physics.newBody(world, tileX * tilemap.tile_w, tileY * tilemap.tile_h);
	newInstance.shape = love.physics.newRectangleShape(tilemap.tile_w, tilemap.tile_h);
	newInstance.fixture = love.physics.newFixture(newInstance.body, newInstance.shape);
	newInstance.fixture:setSensor(true);
	newInstance.fixture:setUserData("LE_"..levelExit);
	return newInstance;
end

function LevelExit:onCollide()
	--tilemap.loadMap(file
end

]]

local x = 0;